%define pppconfdir %_sysconfdir/ppp
%define docdir %_datadir/chestnut-dialer/chestnut_dialer/doc
%define consolehelper %_bindir/consolehelper
%define pamdir %_sysconfdir/pam.d
%define consoleappsdir %_sysconfdir/security/console.apps

Name: chestnut-dialer
Version: 0.3.2
Release: alt2

Summary: A PPP dialing program, written in Python
License: GPL
Group: Networking/Remote access

Url: http://chestnut-dialer.sourceforge.net
Source: %name-%version.tar.bz2
Patch0: chestnut-dialer-0.3.2-alt-ttynames.patch
Patch1: chestnut-dialer-0.3.2-alt-quoting.patch
Patch2: chestnut-dialer-0.3.2-alt-ru.po.patch
Patch3: chestnut-dialer-0.3.2-cvs-pagetitles.patch
Packager: Michael Shigorin <mike@altlinux.org>

%{!?_with_gtk2: %{!?_without_gtk2: %define _with_gtk2 1}}
%{!?_with_qt: %{!?_without_qt: %define _with_qt 1}}

Requires: ppp
Requires: python >= 2.2
Requires: python-modules-libxml2
PreReq(post,preun): /sbin/install-info
%{?_with_consolehelper:Requires: %consolehelper}

# FIXME according to the policy (and remove kluge below)!
Provides: python2.4(chestnut_dialer)

BuildArch: noarch
BuildRequires: ppp
BuildRequires: python >= 2.2
BuildRequires: python-modules-libxml2
BuildRequires: texinfo
%{?_with_gtk2:BuildRequires: python-module-pygtk-libglade}
%{?_with_qt:BuildRequires: python-module-qt}
%{?_with_consolehelper:BuildRequires: %consolehelper}

Summary(ru_RU.KOI8-R):     PPP,   Python.
Summary(uk_UA.KOI8-U):     PPP,   Python.

# Added by buildreq2 on Fri Nov 10 2006 (-bi)
BuildRequires: net-tools python-modules-libxml2

%description
Chestnut Dialer is PPP dialing program, written in Python.
Current version %version can work with GTK2, QT, and without GUI
(command line interface). Chestnut Dialer does not require root
permissions, but requires read and/or write access to some system
files (modem device etc.). Chestnut Dialer uses standard pppd
daemon to set up network interface.

%description -l ru_RU.KOI8-R
Chestnut Dialer -      PPP,
  Python.   (%version)  
 GTK2, QT,     (  ).
Chestnut Dialer    ,  
   /       (
 ). Chestnut Dialer    pppd
   .

%description -l uk_UA.KOI8-U
Chestnut Dialer -      PPP,
  Python. Ҧ Ӧ (%version)  
 GTK2, QT,   Ʀ  (  ).
Chestnut Dialer դ  צ ,  դ
   /      ̦ (
). Chestnut Dialer դ   pppd
 '  .

%if %{?_with_gtk2:1}%{!?_with_gtk2:0}
%package gtk2
Summary: GTK2 user interface for Chestnut Dialer
Summary(ru_RU.KOI8-R):   GTK2  Chestnut Dialer.
Summary(uk_UA.KOI8-U):   GTK2  Chestnut Dialer.
Group: Networking/Remote access
Requires: %name = %version
Requires: python-module-pygtk
Requires: python-module-pygtk-libglade

%description gtk2
This is the GTK2 user interface for Chestnut Dialer.

%description -l ru_RU.KOI8-R gtk2
  GTK2  Chestnut Dialer.

%description -l uk_UA.KOI8-U gtk2
  GTK2  Chestnut Dialer.
%endif

%if %{?_with_qt:1}%{!?_with_qt:0}
%package qt
Summary: QT user interface for Chestnut Dialer
Summary(ru_RU.KOI8-R):   QT  Chestnut Dialer.
Summary(uk_UA.KOI8-U ):   QT  Chestnut Dialer.
Group: Networking/Remote access
Requires: %name = %version
Requires: python-module-qt

%description qt
This is the QT user interface for Chestnut Dialer.

%description -l ru_RU.KOI8-R qt
  QT  Chestnut Dialer.

%description -l uk_UA.KOI8-U qt
  QT  Chestnut Dialer.
%endif

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure \
	%{?_with_gtk2:--enable-gtk2} \
	%{?_without_gtk2:--disable-gtk2} \
	%{?_with_qt:--enable-qt} \
	%{?_without_qt:--disable-qt} \
	--with-pppconfdir=%pppconfdir \
	--with-docdir=%docdir \
	%{?_with_consolehelper} \
	--with-pamdir=%pamdir \
	--with-consoleappsdir=%consoleappsdir
make

%install
make DESTDIR=%buildroot install
install -m 0755 -d %buildroot%_datadir/applications
install -m 0644 chestnut-dialer.desktop %buildroot%_datadir/applications

%post
%install_info %name.info

%preun
%uninstall_info %name.info

%files
%doc AUTHORS COPYING ChangeLog NEWS* README* FAQ*
%doc %docdir
%_infodir/%{name}*.info*
%_man1dir/chestnut-dialer*
%pppconfdir/peers/*
%_bindir/chestnut-dialer
%if %{?_with_consolehelper:1}%{!?_with_consolehelper:0}
%_sbindir/chestnut-dialer
%pamdir/chestnut-dialer
%consoleappsdir/chestnut-dialer
%endif
%_datadir/chestnut-dialer/chestnut_dialer/dobj
%_datadir/chestnut-dialer/chestnut_dialer/dockicons
%_datadir/chestnut-dialer/chestnut_dialer/importers
%_datadir/chestnut-dialer/chestnut_dialer/none_ui
%_datadir/chestnut-dialer/chestnut_dialer/*.py*
%_datadir/chestnut-dialer/chestnut_dialer/*.x*
%_datadir/icons/chestnut-dialer.png
%_datadir/applications/chestnut-dialer.desktop
%_datadir/locale/*/LC_MESSAGES/chestnut-dialer.mo

%if %{?_with_gtk2:1}%{!?_with_gtk2:0}
%files gtk2
%_datadir/chestnut-dialer/chestnut_dialer/gtk2_ui
%endif

%if %{?_with_qt:1}%{!?_with_qt:0}
%files qt
%_datadir/chestnut-dialer/chestnut_dialer/qt_ui
%endif

# TODO
# - move from /usr/share/chestnut-dialer
#          to /usr/lib/chestnut-dialer
#   (see /usr/share/doc/rpm-build-python-0.29/policy/draft/4-Python_TOOLS.txt)

%changelog
* Fri Feb 16 2007 Michael Shigorin <mike@altlinux.org> 0.3.2-alt2
- added /dev/ttyACM0 and /dev/ttyUSB0
- added patch to fix assembling chat script with double-quoted
  parameter values
- tweaked russian translation for readability a bit
- applied/extended CVS fix for Qt UI two-page options empty tab names
- fixed Group:

* Fri Nov 10 2006 Michael Shigorin <mike@altlinux.org> 0.3.2-alt1
- 0.3.2
- spec cleanup
- buildreq2

* Fri Jun 03 2005 Michael Shigorin <mike@altlinux.ru> 0.2.1-alt1
- initial build

